import DocumentLibrary
import Document
import DocumentStore
import TopicIndex

def initialize(context):
    """Initialize Document Library Product"""

    context.registerClass(
        DocumentLibrary.DocumentLibrary,
        constructors = ( 
            DocumentLibrary.manage_addDocumentLibraryForm, 
            DocumentLibrary.manage_addDocumentLibrary
        ),
        permission = 'Add Document Libraries',
        icon = 'www/DocumentLibrary_icon.gif'
    )

    context.registerClass(
        Document.Document,
        constructors = (
            Document.manage_addDocumentFileForm,
            Document.manage_addDocumentFile
        ),
        permission = 'Add Document Library Files'
    )
